#include atoms

#DEFVAR

O1D             = O                         ;
NO2             = N + 2 O                   ;
NO              = N + O                     ;
HNO4            = N + H + 4 O               ;
NO3             = N + 3 O                   ;
N2O5            = 2 N + 5 O                 ;
HO2             = H + 2 O                   ;
OH              = H + O                     ;
GCO3            = 2 C + 4 O + 3 H           ;
CH3CO3          = 2 C + 3 O+ 3 H            ;
CH3O2           = C + 2 O + 3 H             ;
HOCH2O2         = C + 3 O + 3 H             ;
ACETO2          = 3 C + 3 O + 5 H           ;      {CH3COCH2O2}
ISOPBO2         = 5 C + 3 O + 9 H           ;{+ D} {CH2=CHC(CH3)(O2)CH2OH}
ISOPDO2         = 5 C + 3 O + 9 H           ;{+ D} {CH2=C(CH3)CH(O2)CH2OH}
ISOPEO2         = 5 C + 3 O + 9 H           ;{+ D} {CH2=C(CH3)CH(OH)CH2O2}
C59O2           = 5 C + 5 O + 9 H           ;      {HOCH2C(O)C(CH3)(O2)CH2OH}
MCO3            = 4 C + 3 O + 5 H           ;{+ D} {CH2=C(CH3)C(O)(O2)}
MVKO2           = 4 C + 4 O + 7 H           ;      {CH3COCH(O2)CH2OH}
INBO2           = 5 C + 7 O + 10 H          ;      {HOCH2CH(O2)C(CH3)(ONO2)CH2OH & HOCH2C(CH3)(ONO2)CH(OH)CH2O2}
INDO2           = 5 C + 7 O + 10 H          ;      {HOCH2CH(ONO2)C(CH3)(O2)CH2OH}
INCO2           = 5 C + 7 O + 10 H          ;      {HOCH2CH(O2)C(OH)(CH3)CH2ONO2}
HCOCH2O2        = 2 C + 3 O + 3 H           ;  
NISOPO2         = N + 5 C + 5 O + 8 H       ;{+ D} {CH2=CHC(CH3)(O2)CH2ONO2}
IEPOXAO2        = 5 C + 5 O + 9 H           ;      {HOCH2C(OH)(CH3)CH(O2)CHO}
IEPOXBO2        = 5 C + 5 O + 9 H           ;      {HOCH2CH(OH)C(CH3)(O2)CHO}
MBOO2           = 5 C + 4 O + 11 H          ;      {CH3C(OH)(CH3)CH(O2)CH2OH & CH2C(OH)(CH3)CH(OH)CH2O2}
O3              = 3 O ;
NOx             = N + 2 O ;
HNO3            = N + H + 3 O ;
HONO            = N +H + 2 O ;
CO              = C + O                     ;
CH4             = C + 4 H                   ;
H2O2            = 2 H + 2 O                 ;
ISOP            = 5 C + 8 H                 ;{+ 2 D}
APIN            = 10 C + 16 H               ;{+ D + R}
MBO             = 5 C + 10 H + O            ;{+ D} {CH3C(OH)(CH3)CH=CH2}
CH2O            = C + 2 H + O               ;
CH3CHO          = 2 C + 4 H + O             ;
VA              = 2 C + 4 H + O             ;{+ D} {CH2=CH(OH)}
MVA             = 3 C + 6 H + O             ;{+ D} {CH2=C(CH3)(OH)}
GLYALD          = 2 C + 4 H + 2 O           ; {HOCH2CHO}
GLY             = 2 C + 2 H + 2 O           ; {OCHCHO}
MGLY            = 3 C + 4 H + 2 O           ; {CH3COCHO}
CH3COCH3        = 3 C + 6 H + O             ;
C2H5OH          = 2 C + 6 H + O             ;
HYAC            = 3 C + 6 H + 2 O           ; {CH3COCH2OH}
MEK             = 4 C + 8 H + O             ; {CH3COC2H5}
MACR            = 4 C + 6 H + O             ;{+ D} {CH2=C(CH3)CHO}
MVK             = 4 C + 6 H + O             ;{+ D} {CH3COCH=CH2}
HCOC5           = 5 C + 8 H + 2 O           ;{+ D} {CH2=C(CH3)C(O)CH2OH}
CH3OOH          = C + 4 H + 2 O             ;
CH3OOOH         = C + 4 H + 3 O             ; 
HMHP            = C + 4 H + 3 O             ; {HOCH2OOH}
CH3CO3H         = 2 C + 4 H + 3 O           ; 
HPACET          = 3 C + 6 H + 3 O           ; {CH3COCH2OOH}
ISOPBOOH        = 5 C + 10 H + 3 O    	    ;{+ D} {CH2=CHC(CH3)(OOH)CH2OH}
ISOPDOOH        = 5 C + 10 H + 3 O 	    ;{+ D} {CH2=C(CH3)CH(OOH)CH2OH}
ISOPEOOH        = 5 C + 10 H + 3 O 	    ;{+ D} {CH2=C(CH3)CH(OH)CH2OOH}
MCO3H           = 4 C + 7 H + 3 O           ;{+ D} {CH2=CH(CH3)CO(OOH)}
MCOOH           = 4 C + 7 H + 2 O           ;{+ D} {CH2=CH(CH3)COOH}
GCO3H           = 2 C + 4 H + 4 O           ; {HOCH2C(O)OOH}
C2H5COOH        = 3 C + 6 H + 2 O           ; {CH3CH2COOH}
MVKOOH          = 4 C + 4 O + 8 H           ; {CH3C(O)CH(OOH)CH2OH & CH3C(O)CH(OH)CH2OOH}
INDOOH          = N + 5 C + 11 H + 7 O      ; {HOCH2CH(ONO2)C(CH3)(OOH)CH2OH}
PAN             = N + 2 C + 3 H + 5 O       ; {CH3C(O)O2NO2}
MPAN            = N + 4 C + 5 H + 5 O       ;{+ D} {CH2=C(CH3)C(O)(O2NO2)}
GPAN            = N + 2 C + 3 H + 6 O       ; {HOCH2C(O)O2NO2}
PPN             = N + 3 C + 5 H + 5 O       ; {CH3CH2C(O)O2NO2}
CH3OH           = C + 4 H + O               ;
CH3COOH         = 2 C + 4 H + 2 O           ;
ISOPBNO3        = N + 5 C + 9 H + 4 O       ;{+ D} {CH2=CHC(CH3)(ONO2)CH2OH}
ISOPCNO3        = N + 5 C + 9 H + 4 O       ;{+ D} {HOCH2CH=C(CH3)CH2ONO2 & HOCH2C(CH3)=CHCH2ONO2}
ISOPDNO3        = N + 5 C + 9 H + 4 O       ;{+ D} {CH2=CH(CH3)CH(ONO2)CH2OH}
ISOPENO3        = N + 5 C + 9 H + 4 O       ;{+ D} {CH2=C(CH3)CH(OH)CH2ONO2 & CH2=CHC(CH3)(OH)CH2ONO2}
MACRNO3         = N + 4 C + 7 H + 5 O       ; {OCHC(CH3)(ONO2)CH2OH}
MVKNO3          = N + 4 C + 7 H + 5 O       ; {CH3COCH(OH)CH2ONO2 & CH3COC(ONO2)CH2OH}
ETHLN           = N + 2 C + 3 H + 4 O       ; {OCHCH2ONO2}
INCCO           = N + 5 C + 9 H + 6 O       ; {HOCH2C(O)C(CH3)(OH)CH2ONO2}
INCNO3          = 2 N + 5 C + 10 H + 8 O    ; {HOCH2CH(ONO2)C(CH3)(OH)CH2ONO2}
NISOPOOHD       = N + 5 C + 9 H + 5 O       ; {HOOCH2CH=C(CH3)CH2ONO2}
NISOPOOHB       = N + 5 C + 9 H + 5 O       ; {CH2=CHC(CH3)(OOH)CH2ONO2}
NC4CHO          = N + 5 C + 7 H + 4 O       ; {OCHCH=C(CH3)CH2ONO2}
NOA             = N + 3 C + 5 H + 4 O       ; {CH3C(O)CH2ONO2}
BIACETOH        = 4 C + 6 H + 3 O           ; {CH3COCOCH2OH}
ISOPBOH         = 5 C + 10 H + 2 O    	    ;{+ D} {CH2=CHC(CH3)(OH)CH2OH}
ISOPDOH         = 5 C + 10 H + 2 O 	    ;{+ D} {CH2=C(CH3)CH(OH)CH2OH}
IEPOX           = 5 C + 10 H + 3 O          ; {IEPOXB in MCMv32}
MACROH          = 4 C + 8 H + 3 O           ; {HOCH2C(CH3)(OH)CHO}
DHBO            = 4 C + 8 H + 3 O           ; {CH3C(O)CH(OH)CH2OH}
HOBA            = 4 C + 6 H + 3 O           ; {CH3C(O)CH(OH)CHO}
HPALD1          = 5 C + 8 H + 3 O 	    ;{+ D} {OCHC(CH3)=CHCH2(OOH)}
HPALD2          = 5 C + 8 H + 3 O 	    ;{+ D} {OCHCH=C(CH3)CH2(OOH)}
DIHPMEK         = 4 C + 8 H + 5 O           ; {CH3C(O)CH(OOH)CH2OOH}
OCHCH2OOH       = 2 C + 4 H + 3 O           ; {OCHCH2OOH}
HPKETAL         = 4 C + 6 H + 4 O           ; {CH3COCH(OOH)CHO}
HPDIAL          = 4 C + 6 H + 4 O           ; {OCHC(CH3)(OOH)CHO}
DIHPCHO         = 4 C + 8 H + 5 O           ; {CH3C(OOH)(CHO)CH2OOH}
HMAC            = 4 C + 6 H + 2 O           ;{+ D} {OCHC(CH3)=CHOH}
HMVK            = 4 C + 6 H + 2 O           ;{+ D} {HOCH=CHC(O)CH3}
HMML            = 4 C + 6 H + 3 O           ; {CC1(CO)OC1=O}
MMAL            = 5 C + 4 H + 3 O           ;{+ D + R} 
IHNE            = N + 5 C + 9 H + 5 O       ; {50% O2NO2CH2Ce(CH3)OCeHCH2OH & 50% O2NOCH2C(CH3)(OH)CeHOCeCH2}
ICHE            = 5 C + 8 H + 3 O           ; {carbonyl hydroxyeopxides, e.g. O=CHCe(CH3)OCeHCH2OH}
DHA             = 3 C + 6 H + 3 O           ; {CH3C(O)CH(OH)2}
APINONO2        = N + 10 C + 17 H + 5 O     ;{+ R} {C10H16(OOH)(ONO2)}
CH3ONO2         = N + C + 3 H + 3 O         ;
MBONO3          = N + 5 C + 11 H + 5 O      ; {CH3C(OH)CH3CH(ONO2)CH2OH & CH3C(OH)CH3CH(OH)CH2ONO2}
HCOOH           = C + 2 H + 2 O             ; 
SO2             = S + 2 O                   ;

